<%@Page Language="VB" Debug="True" %>

<%-------------------------------------------------------------%>
<%@Register TagPrefix="ahh" Tagname="IEDialog"
            Src="ascx/iemodaldialog.ascx" %>
<%-------------------------------------------------------------%>

<script runat="server">

Sub Page_Load()

  ' set dialog control properties using values selected in page
  ctlDialog.Arguments = selArgs.SelectedValue
  ctlDialog.BorderRaised = selBorder.SelectedValue
  ctlDialog.CancelEvent = selCancel.SelectedValue
  ctlDialog.Center = selCenter.SelectedValue
  ctlDialog.Height = selHeight.SelectedValue
  ctlDialog.HelpButton = selHelp.SelectedValue
  ctlDialog.Left = selLeft.SelectedValue
  ctlDialog.Resizable = selResize.SelectedValue
  ctlDialog.ScrollBars = selScroll.SelectedValue
  ctlDialog.StatusBar = selStatus.SelectedValue
  ctlDialog.Top = selTop.SelectedValue
  ctlDialog.Width = selWidth.SelectedValue

  ' attach dialog events to controls every time page loads
  ctlDialog.AttachDialog("test1", "onclick", "iepage.aspx")

End Sub


Sub GetResult(sender As Object, e As EventArgs)

    ' collect the results from the dialogs
    lblResult.Text = "GetDialogResult = <b>" _
      & ctlDialog.GetDialogResult("test1").ToString() & "</b>"

End Sub

</script>

<%-------------------------------------------------------------%>

<html>
<head>
<!-- #include file="../global/style.inc" -->
<title>Internet Explorer Modal Dialogs from a User Control</title>
</head>
<body>

<ahh:IEDialog id="ctlDialog" runat="server" />

<span class="heading">Internet Explorer Modal Dialogs from a User Control</span><hr />

<form id="frmMain" runat="server">

  Width: <asp:DropDownList AutoPostback="True" runat="server" id="selWidth"><asp:ListItem>250</asp:ListItem><asp:ListItem>300</asp:ListItem><asp:ListItem>400</asp:ListItem><asp:ListItem selected="True">500</asp:ListItem><asp:ListItem>600</asp:ListItem><asp:ListItem>800</asp:ListItem></asp:DropDownList> &nbsp;
  Height: <asp:DropDownList AutoPostback="True" runat="server" id="selHeight"><asp:ListItem>150</asp:ListItem><asp:ListItem>200</asp:ListItem><asp:ListItem>250</asp:ListItem><asp:ListItem selected="True">300</asp:ListItem><asp:ListItem>400</asp:ListItem><asp:ListItem>500</asp:ListItem></asp:DropDownList> &nbsp;
  Top: <asp:DropDownList AutoPostback="True" runat="server" id="selTop"><asp:ListItem>150</asp:ListItem><asp:ListItem>200</asp:ListItem><asp:ListItem>250</asp:ListItem><asp:ListItem>300</asp:ListItem><asp:ListItem>400</asp:ListItem><asp:ListItem>500</asp:ListItem></asp:DropDownList> &nbsp;
  Left: <asp:DropDownList AutoPostback="True" runat="server" id="selLeft"><asp:ListItem>150</asp:ListItem><asp:ListItem>200</asp:ListItem><asp:ListItem>250</asp:ListItem><asp:ListItem>300</asp:ListItem><asp:ListItem>400</asp:ListItem><asp:ListItem>500</asp:ListItem></asp:DropDownList> &nbsp;
  Center: <asp:DropDownList AutoPostback="True" runat="server" id="selCenter"><asp:ListItem>True</asp:ListItem><asp:ListItem>False</asp:ListItem></asp:DropDownList><p />
  CancelEvent: <asp:DropDownList AutoPostback="True" runat="server" id="selCancel"><asp:ListItem>False</asp:ListItem><asp:ListItem>True</asp:ListItem></asp:DropDownList> &nbsp;
  Resizable: <asp:DropDownList AutoPostback="True" runat="server" id="selResize"><asp:ListItem>False</asp:ListItem><asp:ListItem>True</asp:ListItem></asp:DropDownList> &nbsp;
  StatusBar: <asp:DropDownList AutoPostback="True" runat="server" id="selStatus"><asp:ListItem>False</asp:ListItem><asp:ListItem>True</asp:ListItem></asp:DropDownList><p />
  ScrollBars: <asp:DropDownList AutoPostback="True" runat="server" id="selScroll"><asp:ListItem>True</asp:ListItem><asp:ListItem>False</asp:ListItem></asp:DropDownList> &nbsp;
  BorderRaised: <asp:DropDownList AutoPostback="True" runat="server" id="selBorder"><asp:ListItem>False</asp:ListItem><asp:ListItem>True</asp:ListItem></asp:DropDownList> &nbsp;
  HelpButton: <asp:DropDownList AutoPostback="True" runat="server" id="selHelp"><asp:ListItem>True</asp:ListItem><asp:ListItem>False</asp:ListItem></asp:DropDownList><p />
  Arguments (optional): <asp:DropDownList AutoPostback="True" runat="server" id="selArgs"><asp:ListItem></asp:ListItem><asp:ListItem>A</asp:ListItem><asp:ListItem>B</asp:ListItem><asp:ListItem>C</asp:ListItem><asp:ListItem>F</asp:ListItem><asp:ListItem selected="True">S</asp:ListItem></asp:DropDownList><p />

  <asp:Button id="test1" Text="Show Dialog" OnClick="GetResult" runat="server" /><p />

  <asp:Button Text="Get Result" OnClick="GetResult" runat="server" /> &nbsp;

  <asp:Label id="lblResult" EnableViewState="False" runat="server" />

</form>

<hr><span class="cite">
[<a href="../global/viewsource.aspx?compsrc=iemodaldialog.htm" target="_blank">view source</a>] &nbsp;
<!-- #include file="../global/footer.inc" -->

</body>
</html>

