<%@Page Language="VB" Debug="True" Trace="False" %>

<%@Register TagPrefix="ahh" TagName="ComboBox" Src="..\spinbox\ascx\user-spinbox.ascx" %>
<%@Reference Control="..\spinbox\ascx\user-spinbox.ascx" %>

<%-------------------------------------------------------------%>

<script runat="server">

Sub Page_Load()

  Dim oCtrl1 As UserControl = LoadControl("..\spinbox\ascx\user-spinbox.ascx")
  CType(oCtrl1, UserSpinBox).Increment = 3
  ph1.Controls.Add(oCtrl1)

  Dim oCtrl2 As UserControl
  For iCount As Integer = 1 To 3
    oCtrl2 = LoadControl("..\spinbox\ascx\user-spinbox.ascx")
    ph2.Controls.Add(oCtrl2)
    ph2.Controls.Add(New HtmlGenericControl("br"))
  Next

  Dim oCtrl3 As UserControl = LoadControl("..\spinbox\ascx\user-spinbox.ascx")
  For iCount As Integer = 1 To 3
    ph3.Controls.Add(oCtrl3)
    ph3.Controls.Add(New HtmlGenericControl("br"))
  Next

End Sub

</script>

<%-------------------------------------------------------------%>
<%-------------------------------------------------------------%>

<html>
<head>
<!-- #include file="../global/style.inc" -->
<title>Adding User Controls to a Page Dynamically</title>
</head>
<body>

<span class="heading">Adding User Controls to a Page Dynamically</span><hr />

<form runat="server">

Declared in HTML section of page: <ahh:ComboBox runat="server" />

<hr />

Created dynamically: <asp:PlaceHolder id="ph1" runat="server" />

<hr />

Inserting three new control instances:<p />
<asp:PlaceHolder id="ph2" runat="server" />

<hr />

Inserting three instances of the same control reference:<br />
<asp:PlaceHolder id="ph3" runat="server" />

</form>

<hr />
<!-- #include file="../global/viewsource.inc" -->
<!-- #include file="../global/footer.inc" -->

</body>
</html>

