Public Class ExpiringIdentity
  Implements System.Security.Principal.IIdentity

  Private _Username As String
  Private _MembershipExpires As DateTime

  Public Sub New(ByVal username As String, ByVal expires As DateTime)
    _Username = username
    _MembershipExpires = expires
  End Sub

  Private Sub New()
  End Sub

  Public ReadOnly Property AuthenticationType() As String Implements System.Security.Principal.IIdentity.AuthenticationType
    Get
      Return "Custom"
    End Get
  End Property

  Public ReadOnly Property IsAuthenticated() As Boolean Implements System.Security.Principal.IIdentity.IsAuthenticated
    Get
      Return True
    End Get
  End Property

  Public ReadOnly Property Name() As String Implements System.Security.Principal.IIdentity.Name
    Get
      Return _Username
    End Get
  End Property

  Public ReadOnly Property Expires() As DateTime
    Get
      Return _MemberShipExpires
    End Get
  End Property
End Class
