Public Class IndieValidatedUserControl
  Inherits System.Web.UI.UserControl



  Public ReadOnly Property IsValid() As Boolean
    Get
      Dim valid As Boolean = True
      Dim c As Control
      Dim v As BaseValidator

      'loop through all validators on the page
      For Each v In Page.Validators
        'check whether the validator is attached to this user control
        If Not Me.FindControl(v.ControlToValidate) Is Nothing Then
          'validate the control
          v.Validate()
          'check whether the control validated successfully
          If Not v.IsValid Then
            'if it did not validate, set valid to false
            valid = False
          End If
        End If
      Next
      Return valid
    End Get
  End Property
End Class
