/****** Object:  Stored Procedure dbo.ParamOrderProc    Script Date: 22/10/2003 17:28:16 ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ParamOrderProc]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[ParamOrderProc]
GO

/****** Object:  Login anon    Script Date: 22/10/2003 17:28:16 ******/
if not exists (select * from master.dbo.syslogins where loginname = N'anon')
BEGIN
  declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
  if @logindb is null or not exists (select * from master.dbo.sysdatabases where name = @logindb)
    select @logindb = N'master'
  if @loginlang is null or (not exists (select * from master.dbo.syslanguages where name = @loginlang) and @loginlang <> N'us_english')
    select @loginlang = @@language
  exec sp_addlogin N'anon', null, @logindb, @loginlang
END
GO

/****** Object:  User anon    Script Date: 22/10/2003 17:28:16 ******/
if not exists (select * from dbo.sysusers where name = N'anon' and uid < 16382)
  EXEC sp_grantdbaccess N'anon', N'anon'
GO

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.ParamOrderProc    Script Date: 22/10/2003 17:28:16 ******/
CREATE PROCEDURE ParamOrderProc
@Param1 varchar (10) = 'Default1',
@Default varchar (10) = 'Default2',
@Param2 varchar (10) = 'Default3',
@Param3 varchar (10) = 'Default4'
AS
SELECT @Param1 + ', ' + @Default + ', ' + @Param2 + ', ' + @Param3
GO

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

GRANT  EXECUTE  ON [dbo].[ParamOrderProc]  TO [anon]
GO

