<%@Page Language="VB" Debug="True"%>
<%@Import Namespace="System.Data" %>
<%@Import Namespace="System.Data.OleDb" %>

<script runat="server">

Sub Page_Load(objSender As Object, objArgs As EventArgs )

  ' set content-type to return a tab-delimited text file
  Response.ContentType = "text/text"

  ' get values from query string
  Dim sCustID As String = Request.QueryString("customerid")

  ' create StringBuilder to hold text string for results
  Dim sResult As New StringBuilder()
  sResult.Append ("CustomerID" & vbTab & "CompanyName" _
                 & vbTab & "City" & vbCrlf)

  ' build connection to database
  Dim sConnect As String _
    = ConfigurationSettings.AppSettings("NorthwindOleDbConnectString")
  Dim sSQL As String = "SELECT CustomerID, CompanyName, City " _
                     & "FROM Customers WHERE CustomerID LIKE '" _
                     & sCustID & "%'"
  Dim oDS As New DataSet
  Dim oConn As New OleDbConnection(sConnect)
  Dim oDA As New OleDbDataAdapter(sSQL, sConnect)

  Try

    ' fill dataset table
    oDA.Fill(oDS, "Customers")

    ' iterate through each row in the table building the output
    Dim oTable As DataTable  = oDS.Tables("Customers")
    Dim oRow As DataRow
    For Each oRow In oTable.Rows
      sResult.Append(oRow("CustomerID").ToString() & vbTab _
                   & oRow("CompanyName").ToString() & vbTab _
                   & oRow("City").ToString() & vbCrlf)
    Next


  Catch
    sResult.Append("*" & vbTab & "* Data Access Error *" & vbTab _
                 & "*" & vbCrlf)

  End Try

  ' write delimited text string back to client
  Response.Write(sResult.ToString())

End Sub

</script>
