<%@Page Language="VB" Debug="True" %>
<%@Import Namespace="System.Drawing" %>
<%@Import Namespace="System.Drawing.Imaging" %>

<script runat="server">
' -------------------------------------------------------------------

Sub Page_Load()

  ' set content-type of response so client knows it is a GIF image
  Response.ContentType="image/gif"

  ' get mask and font details from query string and URL-decode
  Dim sText As String = Server.UrlDecode(Request.QueryString("mask"))
  Dim sFont As String = Server.UrlDecode(Request.QueryString("font"))
  Dim sSize As String = Request.QueryString("size")
  Dim sCols As String = Request.QueryString("cols")

  Dim iWidth, iHeight As Integer
  iWidth = Integer.Parse(sSize) * Integer.Parse(sCols)
  iHeight = Integer.Parse(sSize) * 3

  ' create a new bitmap
  Dim oBitMap As New Bitmap(iWidth, iHeight)

  ' create new graphics object to draw on bitmap
  Dim oGraphics As Graphics = Graphics.FromImage(oBitMap)

  ' create the rectange to hold the text
  Dim oRect As New RectangleF(0, 0, oBitMap.Width, oBitMap.Height)

  'create a solid brush for the background and fill it
  Dim oBrush As New SolidBrush(Color.White)
  oGraphics.FillRectangle(oBrush, oRect)

  ' create a Font object for the text style
  Dim oFont As New Font(sFont, Single.Parse(sSize))

  ' create a brush object and draw the text
  oBrush.Color = Color.FromArgb(153, 153, 153)
  oRect = New RectangleF(-1, 1, oBitMap.Width, oBitMap.Height)
  oGraphics.DrawString(sText, oFont, oBrush, oRect)

  ' write bitmap to response
  oBitmap.Save(Response.OutputStream, ImageFormat.Gif)

  ' dispose of objects
  oBrush.Dispose()
  oGraphics.Dispose()
  oBitmap.Dispose()

End Sub

</script>
